Update Applicant Appointment: Rent Manager
https://api.propexo.com/v1/events/appointments/applicants/rentmanager/:event_id| Method |
|---|
| POST /Appointments |
Authentication
- AuthorizationBearerBearer authentication of the form
Bearer <token>, where token is your auth token.
Path parameters
The Propexo unique identifier for the event
Request
This endpoint expects an object.
- string<date-time>
- stringPattern:
^\d{4}-\d{2}-\d{2}$
The date when the appointment will occur
Show 2 variants
The time when the appointment will occur. Please refer to our appointment times section in the docs to see how each individual PMS handles timezones. The time is in the local time of the property/location. In Rent Manager, the default timezone is an optional setting that the PMC can set and will be stored on the Propexo Timezone model. You may need to read in this setting and convert to the local timezone for the appointment time to be correct.
Possible values: Value must match regular expression (?:[01]\d|2[0123]):(?:[012345]\d):(?:[012345]\d)
The duration of the appointment, in minutes
Possible values: > 0
The title associated with the event
Possible values: <= 50 characters
Notes associated with the event
Response
Successful response
- string<date-time>
- stringPattern:
^\d{4}-\d{2}-\d{2}$
meta objectrequired
result objectrequired
The Propexo unique identifier for the event
The date when the appointment will occur
Show 2 variants
The time when the appointment will occur. Please refer to our appointment times section in the docs to see how each individual PMS handles timezones. The time is in the local time of the property/location. In Rent Manager, the default timezone is an optional setting that the PMC can set and will be stored on the Propexo Timezone model. You may need to read in this setting and convert to the local timezone for the appointment time to be correct.
Possible values: Value must match regular expression (?:[01]\d|2[0123]):(?:[012345]\d):(?:[012345]\d)
The duration of the appointment, in minutes
Possible values: > 0
The title associated with the event
Possible values: <= 50 characters
Notes associated with the event
Errors
400Bad Request
error objectrequired
codestringrequiredExample:invalid_requestmessagestringrequiredExample:invalid requestdetails object
property name*anyExample:{"details":{"issues":[{"code":"unrecognized_keys","keys":["foo"],"path":[],"message":"Unrecognized key(s) in object: 'foo'"}],"name":"ZodError"}}
curl -X PUT https://api.propexo.com/v1/events/appointments/applicants/rentmanager/:event_id \
-H "Authorization: Bearer <token>" \
-H "Content-Type: application/json" \
-d '{
"appointment_date": "2024-07-29T15:51:28.071Z",
"appointment_time": "string",
"appointment_duration_minutes": 0,
"title": "string"
}'
{
"meta": {
"job_id": "string"
},
"result": {
"event_id": "string",
"appointment_date": "2024-07-29T15:51:28.071Z",
"appointment_time": "string",
"appointment_duration_minutes": 0,
"title": "string",
"notes": "string"
}
}